package se.nekotronic.majtenta;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;

public class MainActivity extends ActionBarActivity {
	private GraphicalView graphical_view;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        graphical_view = (GraphicalView) findViewById(R.id.graphicalview);
        
        if (savedInstanceState != null) {
        	String gamla_punkter = savedInstanceState.getString("punkterna");
        	graphical_view.setPoints(gamla_punkter);
        }
    } // onCreate

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		super.onSaveInstanceState(outState);
		
		// Save the text string with the coordinates of all the points
		String punkterna = graphical_view.getPoints();
		outState.putString("punkterna", punkterna);
	} // onSaveInstanceState

} // MainActivity
